SDL_WindowEvent Struct Reference

Window state change event data (event.window.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
Uint8 | event
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3
Sint32 | data1
Sint32 | data2

## Detailed Description

Window state change event data (event.window.*)

Definition at line 171 of file SDL_events.h.

## Field Documentation

Sint32 SDL_WindowEvent::data1

event dependent data

Definition at line 180 of file SDL_events.h.

Referenced by loop(), main(), and SDLTest_PrintEvent().

Sint32 SDL_WindowEvent::data2

event dependent data

Definition at line 181 of file SDL_events.h.

Referenced by loop(), main(), and SDLTest_PrintEvent().

Uint8 SDL_WindowEvent::event

SDL_WindowEventID

Definition at line 176 of file SDL_events.h.

Referenced by loop(), main(), RemovePendingMoveEvents(), RemovePendingResizedEvents(), RemovePendingSizeChangedEvents(), SDL_RendererEventWatch(), SDLTest_CommonEvent(), SDLTest_PrintEvent(), and SW_WindowEvent().

Uint8 SDL_WindowEvent::padding1

Definition at line 177 of file SDL_events.h.

Uint8 SDL_WindowEvent::padding2

Definition at line 178 of file SDL_events.h.

Uint8 SDL_WindowEvent::padding3

Definition at line 179 of file SDL_events.h.

Uint32 SDL_WindowEvent::timestamp

Definition at line 174 of file SDL_events.h.

Uint32 SDL_WindowEvent::type

SDL_WINDOWEVENT

Definition at line 173 of file SDL_events.h.

Uint32 SDL_WindowEvent::windowID

The associated window

Definition at line 175 of file SDL_events.h.

Referenced by loop(), RemovePendingMoveEvents(), RemovePendingResizedEvents(), RemovePendingSizeChangedEvents(), SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- include/SDL_events.h